package GUI::Thresholds;
#<copyright>
# ----------------------------------------------------------
# Sun Proprietary/Confidential Code
# Copyright 2001, Sun Microsystems, Inc. All rights reserved.
# ----------------------------------------------------------
#</copyright>

#  $Id: Thresholds.pm,v 1.18 2003/04/04 00:49:56 ccadieux Exp $

use Thresholds;

sub th {
  my($q) = @_;
  print "\n<body bgcolor=$Style::BGCOLOR><center>";
  $h = Html->header2("report.system.thresholds" );
  my $L = Labels->read("GUI::Thresholds");
  if ($q->{ACTION_clear}) {
     unlink System->get_home() . "/DATA/thresholds.cache";
     $Thresholds::SC_DONE = 0;
  }
  my $head = "<table border=1 cellspacing=0 width=90% bgcolor=white><tr><td>
<table border=0 cellspacing=2 width=100% bgcolor=#F0F0F0>";
  my $head2 ="
  <tr bgcolor=$Style::LIGHT>
    <th width=30%>$L->{name}</th>
    <td width=10% colspan=2><b>&nbsp;$L->{freq}</td>
    <td width=10%><b>&nbsp;$L->{quiet}</td>
    <th width=10%>$L->{type}</th>
    <th width=40%>$L->{desc}</th>
   ";

  $o =<<EOF;
<form  method=get>
 <input type=hidden name=GO value=GUI::Thresholds::th>
<center>
$h
<table border=0 cellspacing=0 cellpadding=2 width=90%><tr><td align=right>
    [ <a href=$Http::WEBPROC?GO=GUI::Thresholds::th&ACTION_clear=1>$L->{clear}</a> ]
</table>
$head
<tr><td colspan=6 bgcolor=$Style::DARK><b><font color=white>$L->{thresholds}</td>
$head2
EOF


  ($data, $th) = Thresholds->init();

  open(O, System->get_home() ."/System/SW_Thresholds");
  my ($cnt, $last);
  while ($l = <O>) {
    chop($l);
    next if ($l =~ /^ *$/ or substr($l,0,1) eq "#");
    next if (substr($l,0,1) eq "'");
    @a = split(/ *[\.\=\,] */, $l);
    $freq = $a[3];
    $repeat = $a[4];
    $type = ($a[5] eq "W")? "Warning":"Error";
    $unit = ($a[3] =~ /m$/) ? "ins":"ours";
    $unit2 = ($repeat =~ /m$/) ? "ins":"ours";
    if ($a[0] ne $last) {
       $last = $a[0];
       $o .= "<tr><td colspan=6 bgcolor=white><b>$last</td>";
    }
    if ((++$cnt % 50) == 0) {
        $o .= "</table></table>";
        last if ($q->{DOC});
        $o .= "$head $head2";
    }
    $o .= "<tr>
         <td>$a[0].$a[1]</td>
         <td><center>$a[2]</td>
         <td>/ $a[3]$unit</td>
         <td>$repeat$unit2</td>
         <td><center>$type</td>
         <td>&nbsp;$a[6]</td>
         ";
    $p = $data->{$a[0]}{$a[1]};
    $xx = 0;
    foreach $k (keys %$p) {
      $v  = $p->{$k};
      $xx++;
      $d1 = Util->get_date($v->[0]*60);
      if ($v->[1] == 0) {
        $text = $L->expand(last => $d1);
      } else {
        $text = $L->expand(received => $v->[1], $d1);
      }
      $o .= "<tr><td bgcolor=white align=right><font color=navy><b>$k:</td>
              <td colspan=5 bgcolor=white><font color=navy>$text</td>";
    }
    $o .= "<tr><td></td>" if ($xx);
  }
  $o .= "</table></table>";

  print $o;
  if ($q->{DOC}) {
     print "Note: The complete report can be seen using the StorA.D.E. GUI.<br>";
  }
}

1;
